Add book table-of-contents filtering
Status: Closed Start date: 08/08/2013

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0   

Description

Add the ability to filter the list of items in the table of contents (like YouVersion does).

Associated revisions

Revision 505 - 08/10/2013 11:45 PM - Luke Murphey

Added the ability to filter the table of contents. Closes #622.

Revision 505 - 08/10/2013 11:45 PM - Luke Murphey

Added the ability to filter the table of contents. Closes #622.

Revision 493 - 08/10/2013 11:45 PM - Luke Murphey

Added the ability to filter the table of contents. Closes #622.

History

#1 - 08/09/2013 12:05 AM - Luke Murphey

{code}

.table-of-contents{

border: 2px solid rgb(68, 68, 68);

border-top-left-radius: 6px;

border-top-right-radius: 6px;

border-bottom-right-radius: 6px;

border-bottom-left-radius: 6px;

margin-bottom: 12px;

margin-top: -16px;

}

<!-- Add this under the TOC -->

<input type="text" placeholder="Filter..." style="

width: 100%;

border-radius: 0px;

"> {code}

Might want to use something like this: http://jquerytools.org/documentation/toolbox/expose.html

05/05/2024 1/2

http://jquerytools.org/documentation/toolbox/expose.html


#2 - 08/09/2013 03:47 PM - Luke Murphey

This technique can be used for filtering: http://kilianvalkhof.com/2010/javascript/how-to-build-a-fast-simple-list-filter-with-jquery/

#3 - 08/10/2013 11:45 PM - Luke Murphey

- Assignee set to Luke Murphey

- Target version set to 1.0

#4 - 08/10/2013 11:46 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset r505.

Powered by TCPDF (www.tcpdf.org)

05/05/2024 2/2

http://kilianvalkhof.com/2010/javascript/how-to-build-a-fast-simple-list-filter-with-jquery/
https://lukemurphey.net/projects/ancient-text-reader/repository/revisions/505
http://www.tcpdf.org

